//Ex6_8.cpp
#include "iostream" 
using namespace std;
class Myclass
{private:
   const int a;   //常数据成员的声明
   int b;
 public:
   Myclass(int i,int j):a(i)  //初始化列表的方式初始化常数据成员
	{b=j;}
   void modify()
	{b=b-a;}
   void display() const
	{cout<<"a="<<a<<",b="<<b<<endl;}
};
void main()
{Myclass A(10,50);
 cout<<"before decrement:";
 A.display();
 for(int i=1;i<=3;i++)
	{A.modify();
     cout<<"after decrement"<<i<<":";
     A.display();}
}
